/* ==================================================================
   File:        deviceinfo.h
   Author:      Steve Monks
   Description:
	Manages list of available device names and paths

 	$Id: deviceinfo.h,v 1.2 2006/01/03 21:46:13 Steve Exp $
	$Log: deviceinfo.h,v $
	Revision 1.2  2006/01/03 21:46:13  Steve
	Initial import of V3.0.
	
	This is a complete rewrite of the plugin and Kernel streaming code.
	The only code retained from the previous 2.x version is the Microsoft
	sample code and the filter enumeration.
	
	
================================================================== */
#ifndef _DEVICEINFO_H
#define _DEVICEINFO_H

class DeviceInfoItem {
private:
	class DeviceInfoItem *succ, *prev;
	char *friendly_name;
	char *device_path;
public:
	DeviceInfoItem(char *name, char *path);
	~DeviceInfoItem();
	void SetFriendlyName(char *name);
	void SetDevicePath(char *path);
	char *GetFriendlyName(void) { return friendly_name; }
	char *GetDevicePath(void) { return device_path; }
	class DeviceInfoItem *Next(void) { return succ; }
};

extern void DestroyDeviceInfoList(void);
extern DeviceInfoItem *BuildDeviceInfoList(CKsEnumFilters *enumerator);

#endif

